<?php

/**
 * @module          Meta Facebook
 * @author          cms-lab
 * @copyright       2017-2018 cms-lab
 * @link            http://www.cms-lab.com
 * @license         custom license: http://cms-lab.com/_documentation/meta-facebook/license.php
 * @license_terms   please see license
 *
 */

class meta_facebook_functions extends meta_facebook
{

	public static $instance;


public function get_settings() 
	{
		// data for twig template engine	
		$data = array(
			'oMFF'			=> $this,
			'readme_link'	=> 'http://cms-lab.com/_documentation/meta-facebook/readme.php',
			'leptoken'		=> get_leptoken()			
			);

		/**	
		 *	get the template-engine.
		 */
		$oTwig = lib_twig_box::getInstance();
		$oTwig->registerModule('meta_facebook');
			
		echo $oTwig->render( 
			"@meta_facebook/settings.lte",	//	template-filename
			$data						//	template-data
		);		
		
	}	

public function show_info() 
	{
		// create links
		$support_link = "<a href=\"#\">NO Live-Support / FAQ</a>";	
		$readme_link = "<a href=\"http://cms-lab.com/_documentation/meta-facebook/readme.php \" class=\"info\" target=\"_blank\">Readme</a>";	

		// data for twig template engine	
		$data = array(
			'oMFF'			=> $this,
			'readme_link'	=> $readme_link,		
			'SUPPORT'		=> $support_link,	
			'image_url'		=> 'http://cms-lab.com/_documentation/media/meta_facebook/fb.jpg'
			);

		/**	
		 *	get the template-engine.
		 */
		$oTwig = lib_twig_box::getInstance();
		$oTwig->registerModule('meta_facebook');
			
		echo $oTwig->render( 
			"@meta_facebook/info.lte",	//	template-filename
			$data						//	template-data
		);		
		
	}
	
	
	
public function build_tags()
	{
		
		// data for twig template engine	
		$data = array(
			'oMFF'			=> $this,
			'page_url'		=> LEPTON_URL.PAGES_DIRECTORY.$this->current_page['link'].PAGE_EXTENSION,
			'default_language'	=> DEFAULT_LANGUAGE,
			'website_description'	=> WEBSITE_DESCRIPTION
        );

		/**	
		 *	get the template-engine.
		 */
		$oTwig = lib_twig_box::getInstance();
		$oTwig->registerModule('meta_facebook');
			
		return $oTwig->render( 
			"@meta_facebook/output.lte",	//	template-filename
			$data						//	template-data
		);	

	}
	
} // end of class
?>