<?php

/**
 * @module          Meta Facebook
 * @author          cms-lab
 * @copyright       2017-2018 cms-lab
 * @link            http://www.cms-lab.com
 * @license         custom license: http://cms-lab.com/_documentation/meta-facebook/license.php
 * @license_terms   please see license
 *
 */

 // include class.secure.php to protect this file and the whole CMS!
if (defined('LEPTON_PATH')) {   
   include(LEPTON_PATH.'/framework/class.secure.php');
} else {
   $oneback = "../";
   $root = $oneback;
   $level = 1;
   while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
      $root .= $oneback;
      $level += 1;
   }
   if (file_exists($root.'/framework/class.secure.php')) {
      include($root.'/framework/class.secure.php');
   } else {
      trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
   }
}
// end include class.secure.php

$debug = true;

if (true === $debug) {
	ini_set('display_errors', 1);
	error_reporting(E_ALL);
}

if(isset($_POST['cancel']) ) {
	header("Location: ".ADMIN_URL."/admintools/tool.php?tool=meta_facebook&leptoken=".$_POST['leptoken']."");
	exit(0);
}



// no id
if(!isset($_POST['save_settings']) || ($_POST['save_settings'] == '') ) {
	header("Location: ".ADMIN_URL."/admintools/tool.php?tool=meta_facebook&leptoken=".$_POST['leptoken']."");
	exit(0);	
}

$admin = new LEPTON_admin('admintools', 'admintools');


// save settings
if(isset ($_POST['job']) && ($_POST['job'] == 'save_settings') ) {

	//	save elements
	$request = new LEPTON_request();		

	$all_names = array (
		'author'		=> array ('type' => 'string',	'default' => '',	'range' =>""),
		'site_name'		=> array ('type' => 'string',	'default' => '',	'range' =>""),		
		'content_type'	=> array ('type' => 'string',	'default' => '',	'range' =>""),		
		'default_image'	=> array ('type' => 'string',	'default' => '',	'range' =>"")
	);

	$all_values = array ();

	foreach($all_names as $item=>$options) 
		$all_values[$item] = $request->get_request($item, $options['default'], $options['type'], $options['range']);

	
	$table = TABLE_PREFIX."mod_meta_facebook_settings";
	$query = "UPDATE `" . $table . "` SET ";
	
	foreach($all_values as $key =>$value) $query .= "`" . $key . "`='".$value."', ";
	
	$query = substr($query, 0, -2)."  WHERE id=".$_POST['save_settings'];
	
	$result = $database->query( $query );

			
	// Check if there is a db error, else success
	if($database->is_error()) {
		$admin->print_error($database->get_error());
	} else {
		$admin->print_success('record_ saved', ADMIN_URL."/admintools/tool.php?tool=meta_facebook");
	}
}

// Print admin footer
$admin->print_footer();			

?>