<?php

/**
 * @module          Meta Facebook
 * @author          cms-lab
 * @copyright       2017-2018 cms-lab
 * @link            http://www.cms-lab.com
 * @license         custom license: http://cms-lab.com/_documentation/meta-facebook/license.php
 * @license_terms   please see license
 *
 */
 
// include class.secure.php to protect this file and the whole CMS!
if (defined('LEPTON_PATH')) {   
   include(LEPTON_PATH.'/framework/class.secure.php');
} else {
   $oneback = "../";
   $root = $oneback;
   $level = 1;
   while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
      $root .= $oneback;
      $level += 1;
   }
   if (file_exists($root.'/framework/class.secure.php')) {
      include($root.'/framework/class.secure.php');
   } else {
      trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
   }
}
// end include class.secure.php

$module_directory     = "meta_facebook";
$module_name          = "Meta Facebook";
$module_function      = "tool";
$module_version       = "0.2.0";
$module_platform      = "4.x";
$module_author        = '<a href="http://cms-lab.com" target="_blank">CMS-LAB</a>';
$module_license       = '<a href="http://cms-lab.com/_documentation/meta-facebook/license.php" class="info" target="_blank">Custom license</a>';
$module_license_terms = "please see license";
$module_description   = "Tool to edit and insert special facebook meta-tags";
$module_guid		  = "8325d253-edf0-47fd-be95-193180776a0a";

?>